#
# spec file for package xaos
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xaos
Version:        3.6
Release:        6.3
Summary:        Powerful fractal generator
License:        GPL-2.0+
Group:          Amusements/Toys/Graphics
Url:            http://matek.hu/xaos/doku.php
Source:         http://sourceforge.net/projects/xaos/files/XaoS/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.sh
Source3:        %{name}.png
Patch0:         %{name}-3.5-strip.patch
Patch1:         fix-prototypes.diff
Patch2:         xaos-fix-implicit-decl.patch
BuildRequires:  aalib-devel
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  gsl-devel
BuildRequires:  libpng-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
Requires(pre):  %install_info_prereq
Provides:       XaoS
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
XaoS is a fast portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you to zoom smoothly into the fractal.  Various coloring modes
are provided for both the points inside and outside the selected set.
In addition, switching between Julia and Mandelbrot fractal types and
displaying planes is provided.

%lang_package

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

%build
# convert all xpf-files to UNIX format
find examples/ -iname "*.xpf" -exec dos2unix {} \;
export CFLAGS="%optflags -fno-strict-aliasing"
%configure --with-svga-driver=no
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_infodir}
%make_install
mv %{buildroot}%{_bindir}/xaos %{buildroot}%{_bindir}/xaos.bin
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/xaos
chmod 755 %{buildroot}%{_bindir}/xaos
chmod 755 %{buildroot}%{_bindir}/xaos.bin
%suse_update_desktop_file -i %{name} Education Math
install -D -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%find_lang %{name}
%fdupes %{buildroot}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc %{_infodir}/xaos.info.*
%doc %{_mandir}/man6/xaos.6.*
%{_bindir}/xaos
%{_bindir}/xaos.bin
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/XaoS/

%files lang -f %{name}.lang

%changelog
* Sat Apr 11 2015 p.drouand@gmail.com
- Update to version 3.6
  * Supporting libpng >= 1.5 and 1.6
  * Various bug fixes
  * New fractal types
- Update Url
- Use download Url as source
- Remove xaos-libpng15.patch and xaos-libpng16.patch; fixed on upstream
  release
- Add xaos-fix-implicit-decl.patch
- Remove superfluous xorg-x11 build require
- Split out translation files
- Remove redundant %%clean section
- Fix with -fno-strict-aliasing has the new version is likely to break
  with new gcc
* Mon Mar  2 2015 sfalken@opensuse.org
- Changed desktop category to clear brp-check-suse failure
* Tue Apr  9 2013 pgajdos@suse.com
- builds also with libpng16
* Tue Sep  4 2012 pgajdos@suse.com
- builds also with libpng15
  * libpng15.patch
* Thu Jun 14 2012 coolo@suse.com
- fix protoype with new gcc
* Tue Jul 21 2009 AxelKoellhofer@web.de
- updated to 3.5
  o Fixed crash bug when using -render command line option with user formulas
  o Removed support for unmaintained platforms (DOS, BeOS, Plan 9, etc.)
  o Updated documentation to reflect infrastructure changes
  (Discussion and issue tracking have moved to Google Groups and Google Code)
  o Additional fractal examples by J.B. Langston
  ... see NEWS for more
- obsolete patch removed
* Thu Jun  4 2009 AxelKoellhofer@web.de
- spec cleanup
- obsolete patches removed
- convert all xpf-files to UNIX format
- added fdupes and dos2unix to BuildRequires
* Tue Feb 26 2008 crrodriguez@suse.de
- use find_lang macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 schwab@suse.de
- Fix last change.
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
- Fix missing declarations.
* Mon Aug 22 2005 nadvornik@suse.cz
- added icon [#106118]
* Thu Apr 14 2005 nadvornik@suse.cz
- fixed to compile with gcc4
* Fri Apr  1 2005 nadvornik@suse.cz
- removed unused header file with problematic license [75433]
* Tue Mar 30 2004 nadvornik@suse.cz
- added wrapper script to run it with ISO-8859-X locales as it does not
  work with UTF-8
* Fri Feb 27 2004 ro@suse.de
- fix build with regparm changes
* Tue Feb 17 2004 nadvornik@suse.cz
- added desktop file
- built as user
* Tue Jul 29 2003 nadvornik@suse.cz
- updated to 3.1
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 11 2003 nadvornik@suse.cz
- added install_info macros
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Nov 12 2001 ro@suse.de
- no svgalib
* Fri May 18 2001 nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon Dec 11 2000 ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Mon Oct  9 2000 nadvornik@suse.cz
- removed suid bit, used %%doc for man and info, used RPM_OPT_FLAGS
* Mon Oct  9 2000 nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep  4 2000 schwab@suse.de
- Add %%suse_update_config.
* Thu May 18 2000 nadvornik@suse.cz
- used %%{_defaultdocdir}
- fixed filelist
- changed Group tag
* Tue Apr 11 2000 nadvornik@suse.cz
- added URL
* Thu Mar 23 2000 nadvornik@suse.cz
- added BuildRoot
- added source url
* Tue Feb  1 2000 ro@suse.de
- man,info to usr/share
* Tue Feb  1 2000 fehr@suse.de
- change for new gcc 2.95.2
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 uli@suse.de
- disabled svgalib driver for PPC
* Wed Mar 17 1999 uli@suse.de
- update 2.2 -> 3.0
- enabled svgalib/aalib drivers
* Tue Oct  7 1997 fehr@suse.de
- now works with (a)build
* Wed May 14 1997 fehr@suse.de
- added version 2.2 to distribution
